//CUITileNationality - [2020-04-13 11:57:47]
#ifndef _CUITILENATIONALITY_H_
#define _CUITILENATIONALITY_H_

#include "CUITile.h"

/*

0013E0C8 CUITileNationality::CUITileNationality(int)
0013E284 CUITileNationality::~CUITileNationality()
0013E100 CUITileNationality::Render()
0013E264 CUITileNationality::RenderPost()
0013E266 CUITileNationality::Process()

0x1B4
*/

class CUITileNationality : public CUITile {
public:
  CUITileNationality(int);          //0013E0C8
  virtual ~CUITileNationality();    //0013E284
  virtual void Render();            //0013E100
  virtual void RenderPost();        //0013E264
  virtual EUITileAction Process();  //0013E266

  ushort field_1AA;
  int i_1AC;
  uchar uc_1B0;
};

#endif  //_CUITILENATIONALITY_H_